<?php
declare(strict_types=1);

namespace FiloBlu\Refilo\Model\Indexer\Locator;

interface SnapshotMViewStateTableInterface
{
    /**
     * Snap shoot mview_state table
     * @return mixed
     */
    public function snapShoot();

    /**
     * Get VersionId
     * @param $viewId
     * @return mixed
     */
    public function getVersionId($viewId);

    /**
     * Get Version Id Or throw exception
     * @param $viewId
     * @return mixed
     */
    public function getVersionIdOrThrow($viewId);
}
